<?php get_header(); ?>

<?php

	$mt_sidebar_page = get_theme_mod( 'mt_sidebar_page', 'mt_sidebar_page_right');
	
	if ($mt_sidebar_page == 'mt_sidebar_page_no') : get_template_part('include/assets/layouts/layout', 'single_fw');
	
	else :

?>

<section id="wrap-content" class="single-post">

<div class="container">

<div class="row">


<?php if ($mt_sidebar_page == 'mt_sidebar_page_left') get_sidebar(); ?>

<div class="col-md-9">

<div class="post-holder single-post-holder">

<?php 

	if (have_posts()) : while (have_posts()) : the_post(); 
	
	$classes_post = array('single-post-content');
		
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($classes_post); ?> >

<div class="post-category"><?php the_category(', '); ?></div><!--post-category-->

<h1 class="post-title"><?php the_title(); ?></h1>

<ul class="post-meta">

<?php $mt_author_onoff = get_theme_mod( 'mt_author_onoff', '1'); 

		if ( $mt_author_onoff == '1'):
	?>

	<li class="meta-author">
    
    <?php $author_id = $post->post_author; ?>

	<a href="<?php echo esc_url(get_author_posts_url( $author_id ) ); ?>"> <?php echo get_avatar( get_the_author_meta( 'user_email' , $author_id ), '25' ); ?> <?php the_author_meta( 'display_name', $author_id  ); ?></a>

	</li>

	<?php endif; ?>
    
    <?php $mt_date_onoff = get_theme_mod( 'mt_date_onoff', '1'); 

		if ( $mt_date_onoff == '1'):
	?>

	<li class="meta-date"><?php echo get_the_date(get_option('date_format')); ?></li>

	<?php endif; ?>

	<?php $mt_post_time_read = get_post_meta($post->ID, "mt_post_time_read", true);
	
		 if(!empty($mt_post_time_read)): ?>
         	
	<li class="meta-time"><?php echo esc_html($mt_post_time_read);?></li>
	<?php endif; ?>

	</ul>

<?php
if ( has_post_format( 'gallery' )) {

	  get_template_part('include/assets/post-format/post', 'gallery');

	} else if ( has_post_format( 'video' )) {
	
	 get_template_part('include/assets/post-format/post', 'video');
	
	} else if ( has_post_format( 'audio' )) {
	
	 get_template_part('include/assets/post-format/post', 'audio');
	
	} else {
?>

<?php if ( has_post_thumbnail($post->ID ) ): ?>

<div class="single-post-image">

<?php the_post_thumbnail('full', array('class'=> 'img-fluid img-featured', 'alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); 

 ?>

</div><!--post-image-->

<?php endif; } ?>


<div class="post-content single-post-content clearfix">

<?php the_content(); ?>

</div><!--post-content-->

<?php
        wp_link_pages(array(
            'before' => '<div class="page-links">',
            'after' => '</div>',
            'nextpagelink' => '<span class="next-page">'.esc_html__('Next Page', 'loren').'</span>',
            'previouspagelink' => '<span class="previous-page">'.esc_html__('Previous Page', 'loren').'</span>',
            'next_or_number' => 'next'
        ));
?>

<?php if(has_tag()): ?>
<div class="tags-single-page">
  <?php the_tags('',' ', ''); ?>
</div><!--tags-single-page-->
<?php endif; ?>

<?php if(function_exists('loren_social_share') ): ?>

<h5 class="single-section-title social-share-title"><span><?php esc_html_e( 'Share This', 'loren' ); ?></span></h5>

 <?php loren_social_share(); endif;  ?> 
    

<?php $authordesc = get_the_author_meta( 'description' );

	if ( ! empty ( $authordesc ) ):
	
 ?>

<div class="author-single-page clearfix">

<?php echo get_avatar( get_the_author_meta( 'user_email' ), '100' ); ?> 

<div class="author-content">

<h5><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php the_author_meta( 'display_name' ); ?></a></h5>


<div class="author-text"> <?php the_author_meta( 'description' ); ?> </div>

<?php $twitter = get_the_author_meta('twitter');
	   		$facebook = get_the_author_meta('facebook');
			$linkedin = get_the_author_meta('linkedin');
			$pinterest = get_the_author_meta('pinterest');
			$youtube = get_the_author_meta('youtube');
			$vimeo = get_the_author_meta('vimeo');
			$instagram = get_the_author_meta('instagram');
			$dribbble = get_the_author_meta('dribbble');
			$skype = get_the_author_meta('skype');
	    ?>
      
     <ul class="author-social">
   	 <?php if (!empty($facebook) ): ?>
     <li><a class="social-facebook" href="<?php echo esc_url($facebook); ?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($twitter) ): ?>
     <li><a class="social-twitter" href="<?php echo esc_url($twitter); ?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($linkedin) ): ?>
     <li><a class="social-linkedin" href="<?php echo esc_url($linkedin); ?>" target="_blank"><i class="fab fa-linkedin"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($pinterest) ): ?>
     <li><a class="social-pinterest" href="<?php echo esc_url($pinterest); ?>" target="_blank"><i class="fab fa-pinterest"></i></a></li>
	 <?php endif; ?>
      <?php if (!empty($youtube) ): ?>
     <li><a class="social-youtube" href="<?php echo esc_url($youtube); ?>" target="_blank"><i class="fab fa-youtube"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($vimeo) ): ?>
     <li><a class="social-vimeo" href="<?php echo esc_url($vimeo); ?>" target="_blank"><i class="fab fa-vimeo-square"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($instagram) ): ?>
     <li><a class="social-instagram" href="<?php echo esc_url($instagram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($dribbble) ): ?>
     <li><a class="social-dribbble" href="<?php echo esc_url($dribbble); ?>" target="_blank"><i class="fab fa-dribbble"></i></a></li>
	 <?php endif; ?>
     <?php if (!empty($skype) ): ?>
     <li><a class="social-skype" href="<?php echo esc_url($skype); ?>" target="_blank"><i class="fab fa-skype"></i></a></li>
	 <?php endif; ?>

     </ul>
      

</div><!--author-content-->
      
</div><!--author-single-page-->

<?php endif; ?>

<div class="row meta-nav-holder">

<div class="col-sm-6 meta-nav">
<div class="nav-post"><?php previous_post_link('<h4>' . esc_html__( 'Previous post', 'loren' ) . '</h4> %link','&larr; %title'); ?> </div></div>
<div class="col-sm-6 meta-nav meta-nav-right">
<div class="nav-post"><?php next_post_link('<h4>' . esc_html__( 'Next post', 'loren' ) . '</h4> %link','%title &rarr;'); ?> </div></div>

</div><!--meta-nav-holder-->

</article>

<?php  endwhile;

else: ?>

<p class="alignc"><?php esc_html_e( 'Sorry, but it seems we can&rsquo;t find what you&rsquo;re looking for. Try the menu above.', 'loren' ); ?></p>

<?php endif; ?>

<!-- Related Articles -->

<?php  $mt_related_posts_onoff = get_theme_mod('mt_related_posts_onoff','1');

	if($mt_related_posts_onoff == '1'){ get_template_part('include/assets/layouts/mtsingle', 'relatedposts'); } 
    
 ?>
 
<?php 
// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
?>  

</div><!--post-holder-->

</div><!--col-md-9-->

<?php if ($mt_sidebar_page == 'mt_sidebar_page_right') get_sidebar(); ?>

</div><!--row-->
</div><!--container-->
</section><!--blog-classic-->

<?php endif; ?>


<?php get_footer(); ?>